Skip to main content
POST
/
amlyze-ws-rest
/
operation
curl --request POST \
  --url 'https://{{baseUrl}}/amlyze-ws-rest/operation' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "communicationNumber": "Test_ComNr_SEPA_13",
  "requester": "Company Name Amlyze",
  "businessUnit": "sandbox",
  "operationExtId": "Op_11_SEPA_TEST",
  "operationType": "SEPA",
  "riskManagementCategory": "OP_TRANSFER",
  "sourceOfRiskLevel": "EVALUATE",
  "operationDateTime": "2025-06-20T12:09:33+02:00",
  "financialFlowDirection": "OUTGOING",
  "currency": "EUR",
  "amount": 10000,
  "exchangeRate": 1,
  "amountInEquivalent": 10000,
  "description": "Invoice 'Nr.01'",
  "listOperationParty": [
    {
      "partyRole": "DEBTOR",
      "accountNumber": "ORG20231117550",
      "entityType": "ORGANIZATION",
      "bic": "SANDLT00XXX",
      "title": "UAB 'BrotherHood'"
    },
    {
      "partyRole": "CREDITOR",
      "accountNumber": "LT9208800274335945522",
      "bic": "AmlyzeXX22",
      "entityType": "INDIVIDUAL",
      "firstName": "Tomas",
      "lastName": "Garcia"
    }
  ]
}
EOF
{
  "errorCode": "<string>",
  "errorDescription": "<string>",
  "resultType": "REQUEST_ACCEPTED"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
amount
number
required

The monetary amount in the currency in which the payment was initiated.

communicationNumber
string
required

Unique number of communication. It is used for risk assessment callback.

Maximum string length: 255
currency
string
required

International currency code. Value is taken from /classifier/currency endpoint.

description
string
required

The purpose of payment is saved under description.

Maximum string length: 550
financialFlowDirection
enum<string>
required

Refers to the movement of money between entities or accounts.

Available options:
INCOMING,
NULL,
OUTGOING
listOperationParty
object[]
required
Required array length: 1 - 4 elements
operationDateTime
string<date-time>
required

The operation date and time show when the operation proceeded.

operationExtId
string
required

External identifier of operation.

Maximum string length: 255
operationType
string
required

Notifies about which kind of operation type was performed. Value is taken from /classifier/operationType endpoint.

requester
string
required

Name of the system requesting web service.

Maximum string length: 100
riskManagementCategory
string
required

Code of risk management category of the object. Value must be from a classifier list personalized to your company. Value is taken from /classifier/riskManagementCategory endpoint.

sourceOfRiskLevel
enum<string>
required

The value IMPORT should be used for migration purposes only - the transaction will be imported without risk assessment.

Available options:
EVALUATE,
IMPORT
action
enum<string>

Element is used to indicate whether to create new record or update exiting one. If not provided, 'CREATE' is the default. When using 'UPDATE', all existing data will be replaced by the new data provided.

Available options:
CREATE,
UPDATE
amountInEquivalent
number

The monetary amount in the original currency. ❗Mandatory if currency is not your original currency.

amountInEuro
number
deprecated

Amount of money in euro currency. ❗Mandatory if currency is not euro.

businessUnit
string

Mandatory field for clients utilizing a multi-organizational solution. It serves to specify the unique identifier for the business unit. Business units are logical groupings of users and data. Each business unit can have its own set of users, permissions, and data access rules.

cardOperationSubType
string

Card operation subtype code. These field values are configurable individually. Value is taken from /classifier/cardOperationSubType endpoint.

Maximum string length: 255
dateAuthorized
string<date-time>

Date payment was authorized.

dateSettled
string<date-time>

Date payment was settled.

destinationCountry
string

Country of operation's destination. Value is taken from /classifier/country endpoint

euroExchangeRate
number
deprecated

Euro exchange rate for other than Eur currency.

exchangeRate
number

The exchange rate applied when converting from the original currency.

fastPayment
boolean
deprecated

Indication if this is fast payment.

initializeScreeningProcesses
enum<string>[]

Defines which lists to check during screening process. Strings of the list are noted in the dropdown below.

Available options:
SANCTIONS,
PEP,
ADVERSE_MEDIA,
INTERNAL_LIST
ipAddress
string

The IP address of the operation.

ipAddressCountry
string

Country of an IP address of the operation. Value is taken from /classifier/country endpoint.

merchantCode
string

External identifier of the seller-mediator.

Maximum string length: 50
merchantCountryCode
string

Seller-mediator country code. Value is taken from /classifier/country endpoint.

Maximum string length: 2
merchantDescription
string

Seller-mediator description.

Maximum string length: 32768
merchantExtId
string

External identifier of the seller-mediator.

Maximum string length: 100
merchantName
string

Name of the seller-mediator.

Maximum string length: 32768
operationStatus
enum<string>

Operation result whether it was successfully executed or rejected.

Available options:
EXECUTED,
REJECTED
riskLevel
enum<string>

The risk level of imported operation.

Available options:
EXTREME,
HIGH,
LOW,
MEDIUM,
NONE
salesPointCode
string

External code of the sales point.

Maximum string length: 50
salesPointExtId
string

External identifier of the sales point.

Maximum string length: 100
sourceCountry
string

Country of operation's source. Value is taken from /classifier/country endpoint.

Maximum string length: 2
terminalCode
string

External code of the terminal.

Maximum string length: 100
terminalExtId
string

External identifier of the terminal.

Maximum string length: 100

Response

200 - */*

OK

errorCode
string
errorDescription
string
resultType
enum<string>
Available options:
REQUEST_ACCEPTED,
REQUEST_REJECTED